Name:             initial-setup
Version:          0.3.83
Release:          1
Summary:          Initialize system configuration for a newly installed computer
License:          GPLv2+
URL:              https://github.com/rhinstaller/initial-setup
Source0:          https://github.com/rhinstaller/initial-setup/archive/r0.3.83-1.tar.gz
Patch0001:        Drop-python-nose-from-the-dependencies.patch	
Patch9001:        initial-setup-add-support-openeuler.patch


%define debug_package %{nil}

BuildRequires:    gettext python3-devel python3-setuptools  systemd-units
BuildRequires:    gtk3-devel glade-devel anaconda >= 29.13 intltool
Requires:         python3 anaconda-tui >= 29.13 systemd >= 235 python3-libreport util-linux
Requires:         gtk3 anaconda-gui >= 29.13 firstboot(windowmanager) xorg-x11-xinit
Requires:         xorg-x11-server-Xorg
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Conflicts:        firstboot < 19.2

Provides:        %{name}-gui = %{version}-%{release}
Obsoletes:       %{name}-gui < %{version}-%{release}

%description
The initial-setup application run during the first start of a newly installed computer and
makes it possible to configure the computer according to the needs of the user.

%prep
%autosetup -n initial-setup-r0.3.83-1 -p1
rm -rf *.egg-info

%build
%make_build

%check
make test

%install
%make_install

%clean
rm -rf %{buildroot}

%pre
if [ $1 -gt 1 ] ; then
    IS_GRAPHICAL_AVAILABLE=0
    IS_TEXT_AVAILABLE=0
    systemctl is-enabled initial-setup-graphical.service && IS_GRAPHICAL_AVAILABLE=1
    systemctl is-enabled initial-setup-text.service && IS_TEXT_AVAILABLE=1
    if [ $IS_GRAPHICAL_AVAILABLE -eq 1 ]; then
        systemctl stop initial-setup-graphical.service
        systemctl disable initial-setup-graphical.service
    fi
    if [ $IS_TEXT_AVAILABLE -eq 1 ]; then
        systemctl stop initial-setup-text.service
        systemctl disable initial-setup-text.service
    fi
fi


%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%doc README.rst COPYING
%{python3_sitelib}/{initial_setup*,initial_setup/gui/*}
%{_libexecdir}/%{name}/{run-initial-setup,firstboot-windowmanager,reconfiguration-mode-enabled}
%{_libexecdir}/%{name}/{initial-setup-graphical,initial-setup-text}
%{_unitdir}/{initial-setup,initial-setup-reconfiguration}.service
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/conf.d
%config %{_sysconfdir}/%{name}/conf.d/*


%changelog
* Tues Feb 22 2022 yangping<yangping69@huawei.com> - 0.3.83-1
- Upgrade to 0.3.83

* Sat Jan 08 2022 xu_ping<xuping33@huawei.com> - 0.36.62-7
- Drop python-nose

* Thu Aug 20 2020 lingsheng<lingsheng@huawei.com> - 0.36.62-6
- Change require to python3-libreport

* Tue Feb 18 2020 xuxijian<xuxijian@huawei.com> - 0.36.62-5
- Package init
